WordPress.org

Support

Support » Plugins and Hacks » Show a popup message warning is user uses IE 6 or older. Is that possible?

Show a popup message warning is user uses IE 6 or older. Is that possible?

  • Hey, i’m using a lot of transparency on my blog and when i view it using Internet Explorer 6 or an older version it shows me some ugly gray background color of the image. Ive tried fixing it using this method, but it doesn’t seem to work at all!

    And also, when someone that has IE 6 or older visit my site, the site f*cks up totally! The sidebar slides down to the bottom of the page. Do you know how to fix that?

    IF anybody know how to fix any of these problems, plz respond. Right now i would like to make it so that when someone uses IE 6 or older visits my site, i want it to show a popup message saying that the site might now load up correctly. Is that possible?

    Thanks 🙂

Viewing 11 replies - 1 through 11 (of 11 total)
  • Btw, my blog is:

    http://www.blubbz.com/blog

    Tell me what you think, its the first time i’m using WordPress 🙂

    Use this code:

    <!--[if IE 5]>
    <script language="Javascript">
    <!--
    alert ("It looks like you aren't using Internet Explorer 7. To see our site correctly, please update.")
    //-->
    </script>
    <![endif]-->
    <!--[if IE 5.0]>
    !--
    alert ("It looks like you aren't using Internet Explorer 7. To see our site correctly, please update.")
    //-->
    </script>
    <![endif]-->
    <!--[if IE 5.5]>
    !--
    alert ("It looks like you aren't using Internet Explorer 7. To see our site correctly, please update.")
    //-->
    </script>
    <![endif]-->
    <!--[if IE 6]>
    !--
    alert ("It looks like you aren't using Internet Explorer 7. To see our site correctly, please update.")
    //-->
    </script>
    <![endif]-->

    schaef2493, thanks. But i cannot get this to work correctly. However, you did understand what i ment (i think).

    I am suppose to copy that code into the header right? Well, when i did so, and borrowed my sisters computer and visited my website (she has IE 6), it printed the text into the website content… there was no msgbox, the text from the messagebox was displayed at the top of the page, very ugly.

    Here is a screenshot of it:
    http://www.freeimagehosting.net/uploads/d0a591d86eaaaaaa.png

    Any ideas? Mabye older versions doesn’t support Javascript popups? I don’t know, but if you have any other suggestions or ideas on how to get it to work, please tell me.

    I would like it to show a popup message directly after the page has loaded up. I don’t want the user to click on a button or somethig… I’ve been googling for a while now, and i just can’t find it :S

    Thanks for the respond, please respond… again? =)

    Oh and i almost forgot… It showed the text even on firefox. As you can see on the image… It looks the same on IE.

    And i added the code inside the header.php file, <header> inside the header tag</header>

    I wasn’t able to fix the transparency problem, but i did find a way to show a popup message when a IE 6- visitor visits the site.

    Thanks jbjweb, but i still want them to be able to view the content of the page.

    Najkiie, sorry my solution didn’t work out too well. Could you post what you did to get the message box working, though?

    Moderator Samuel Wood (Otto)

    @otto42

    WordPress.org Tech Dude

    <!--[if lt IE 7]>
    <script type="text/javascript">
    alert ("It looks like you aren't using Internet Explorer 7. To see our site correctly, please update.")
    </script>
    <![endif]-->

    Voila. That should work, if you paste it correctly into the header. The basic principle is sound.

    Personally, I prefer to give IE users an enhanced browsing experience by showcasing IE’s state of the art CSS extensions…

    <!--[if IE]>
    	<style type="text/css">
    	body {
    		filter:blur(add=false, direction=270 strength=10);
    		-ms-filter:blur(add=false, direction=270 strength=10);
    	}
    	</style>
    <h1 style="color:#99ff00; padding:0.5em; font-size:30pt !important;">Optimized for Internet Explorer</h1>
    <![endif]-->

    yeah i would also prefer just make an odd alternative design (can just be 2.class) for the ie users. it’s their fault to surf with this but it should be correct shown so use another stylesheet. its just so few code!

Viewing 11 replies - 1 through 11 (of 11 total)
  • The topic ‘Show a popup message warning is user uses IE 6 or older. Is that possible?’ is closed to new replies.